/// Extends the core library with non-SI units, constants, unit synonyms to enable terse
/// constructors and expressions, and auxiliary functions.
library quantity_ext;

// quantity type extensions
export 'src/ext/acceleration_ext.dart';
export 'src/ext/amount_of_substance_ext.dart';
export 'src/ext/angle_ext.dart';
export 'src/ext/angular_momentum_ext.dart';
export 'src/ext/angular_speed_ext.dart';
export 'src/ext/area_ext.dart';
export 'src/ext/capacitance_ext.dart';
export 'src/ext/charge_ext.dart';
export 'src/ext/conductance_ext.dart';
export 'src/ext/current_ext.dart';
export 'src/ext/electric_potential_difference_ext.dart';
export 'src/ext/energy_ext.dart';
export 'src/ext/energy_flux_ext.dart';
export 'src/ext/entropy_ext.dart';
export 'src/ext/force_ext.dart';
export 'src/ext/illuminance_ext.dart';
export 'src/ext/inductance_ext.dart';
export 'src/ext/information_ext.dart';
export 'src/ext/kinematic_viscosity_ext.dart';
export 'src/ext/length_ext.dart';
export 'src/ext/luminous_intensity_ext.dart';
export 'src/ext/magnetic_flux_density_ext.dart';
export 'src/ext/magnetic_flux_ext.dart';
export 'src/ext/mass_density_ext.dart';
export 'src/ext/mass_ext.dart';

// mutable quantity type extensions
export 'src/ext/mutable/mutable_quantity.dart';

export 'src/ext/permeability_ext.dart';
export 'src/ext/permittivity_ext.dart';
export 'src/ext/power_ext.dart';
export 'src/ext/pressure_ext.dart';
export 'src/ext/resistance_ext.dart';
export 'src/ext/scalar_ext.dart';
export 'src/ext/solid_angle_ext.dart';
export 'src/ext/specific_energy_ext.dart';
export 'src/ext/spectral_irradiance_ext.dart';
export 'src/ext/speed_ext.dart';
export 'src/ext/temperature_ext.dart';
export 'src/ext/time_ext.dart';
export 'src/ext/time_instant_ext.dart';
export 'src/ext/volume_ext.dart';
export 'src/ext/volume_flow_rate_ext.dart';
